The Swoole\Http\Request class

- « Swoole\Http\Client::upgrade

- Swoole\Http\Request::__destruct »

- PHP Manual
- Swoole
- The Swoole\Http\Request class

# The Swoole\Http\Request class

(PECL swoole >= 1.9.0)

## Introduction

## Class synopsis

class Swoole\Http\Request {
/* Methods */
public __destruct(): void
public rawcontent(): string
}

## Table of Contents

- Swoole\Http\Request::__destruct — Destruct the HTTP request.
- Swoole\Http\Request::rawcontent — Get the raw HTTP POST body.